Linux kernel mirror (for testing) git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git
kernel os linux

selftests: forwarding: move shblock tc support check to a separate helper

The shared block support is only needed for tc_shblock.sh. No need to
require that for other test.

Signed-off-by: Jiri Pirko <jiri@mellanox.com>
Signed-off-by: David S. Miller <davem@davemloft.net>

authored by

Jiri Pirko and committed by
David S. Miller
7f333cbf e2f2a1fd

+5
+3
tools/testing/selftests/net/forwarding/lib.sh
··· 33 33 echo "SKIP: iproute2 too old; tc is missing JSON support" 34 34 exit 1 35 35 fi 36 + } 36 37 38 + check_tc_shblock_support() 39 + { 37 40 tc filter help 2>&1 | grep block &> /dev/null 38 41 if [[ $? -ne 0 ]]; then 39 42 echo "SKIP: iproute2 too old; tc is missing shared block support"
+2
tools/testing/selftests/net/forwarding/tc_shblocks.sh
··· 105 105 ip link set $swp2 address $swp2origmac 106 106 } 107 107 108 + check_tc_shblock_support 109 + 108 110 trap cleanup EXIT 109 111 110 112 setup_prepare